SDL_GetGamepadMappings(3)

NAME
SDL_GetGamepadMappings - Get the current gamepad mappings.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

char ** SDL_GetGamepadMappings(int *count);

DESCRIPTION
You must free the returned pointer with SDL_free () when you are done with it, but you do _not_ free each string in the array.

FUNCTION PARAMETERS

count
    a pointer filled in with the number of mappings returned, can be NULL.

RETURN VALUE
Returns an array of the mapping strings, NULL-terminated. Must be freed with SDL_free (). Returns NULL on error.

AVAILABILITY
This function is available since SDL 3.0.0.